Package com.macrofocus.common.properties

# Class SimpleListProperty<T>

java.lang.Object
com.macrofocus.common.properties.AbstractProperty<T[]>
com.macrofocus.common.properties.AbstractListProperty<T>
com.macrofocus.common.properties.AbstractMutableListProperty<T>
com.macrofocus.common.properties.SimpleListProperty<T>

Type Parameters:
  `T` - the type of elements that the property can hold

All Implemented Interfaces:
  `ListProperty<T>`, `MutableListProperty<T>`, `MutableProperty<T[]>`, `Property<T[]>`

public class SimpleListProperty<T> extends AbstractMutableListProperty<T> implements MutableListProperty<T>
Default data model a property.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleListProperty(T[] value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `append(T value)`
  `T[]`
  `getValue()`
  `static <T> SimpleListProperty<T>`
  `newInstance(T[] value)`
  `void`
  `setValue(T[] value)`
  `String`
  `toString()`

  ### Methods inherited from class com.macrofocus.common.properties.AbstractMutableListProperty

  `bind, bindBidirectional`

  ### Methods inherited from class com.macrofocus.common.properties.AbstractProperty

  `addPropertyListener, addWeakPropertyListener, notifyPropertyChanged, removePropertyListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.properties.MutableProperty

  `bind, bindBidirectional`

  ### Methods inherited from interface com.macrofocus.common.properties.Property

  `addPropertyListener, addWeakPropertyListener, removePropertyListener`

- ## Constructor Details

  - ### SimpleListProperty

    public SimpleListProperty(T[] value)

- ## Method Details

  - ### newInstance

    public static <T> SimpleListProperty<T> newInstance(T[] value)

  - ### getValue

    public T[] getValue()
    Specified by:
      `getValue` in interface `Property<T>`

  - ### setValue

    public void setValue(T[] value)
    Specified by:
      `setValue` in interface `MutableProperty<T>`

  - ### append

    public void append(T value)
    Specified by:
      `append` in interface `MutableListProperty<T>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`